<!-- servlet SERVLET_VARS flags HTTP_CACHE+HTTP_NOPWD+HTTP_ADMINLOGIN -->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:template match="/error">
        <html>
            <head>
                <link rel="stylesheet" href="work.css" type="text/css"/>
            </head> 
            <body class="right">
                <fieldset class="main">
                    <div class="error">Error:<xsl:value-of select="@text"/></div>
                </fieldset>
            </body>
        </html>
    </xsl:template>

    <xsl:template match="option">
        <option value="{@value}"><xsl:if test="@selected='true'"><xsl:attribute name="selected"/></xsl:if><xsl:value-of select="@text"/></option>
    </xsl:template>
    
    <xsl:template name="set_mode">
        <script type="text/javascript">
            function set_mode(mode) {
                var obj = document.getElementsByName(mode)[0];
                if(obj) {
                    var value;
                    if (obj &amp;&amp; obj.type) {
                        if (obj.type == 'checkbox') {
                            value = obj.checked;
                        } else {
                            value = obj.value;
                        }
                    }
                    
                    if (obj &amp;&amp; false) alert('set_mode(' + mode + '): obj=' +
                              obj + ' value=' + 
                              value + 
                              ' checked=' + 
                              obj.checked  + 
                              ' type=' + 
                              obj.type);
                            
                    var rows = document.getElementsByTagName("tr");
                    for(idx=0; node=rows[idx]; idx++)
                    {
                        var attr = node.getAttribute("mode");
                        if(attr &amp;&amp; attr.search(mode)==0)
                        {
                            if(attr.search(value)==-1) node.className = "hide";
                            else node.className = "";
                        }
                    }
              
                    var tds = document.getElementsByTagName("td");
                    for(idx=0; node=tds[idx]; idx++)
                    {
                        var attr = node.getAttribute("mode");
                        if(attr &amp;&amp; attr.search(mode)==0)
                        {
                            if(attr.search(value)==-1) node.className = "hide";
                            else node.className = "";
                        }
                    }
                         
                    var fields = document.getElementsByTagName("fieldset");
                    for(idx=0; node=fields[idx]; idx++)
                    {
                        var attr = node.getAttribute("mode");
                        if(attr &amp;&amp; attr.search(mode)==0)
                        {
                            if(attr.search(value)==-1) node.className = "hide";
                            else node.className = "group";
                        }
                    }
                }
            }
        </script>
    </xsl:template>
    
    <xsl:template name="help-script">
        <script type="text/javascript">
            function help(menu) {
                var url="%(CMD0/HELP)";
                url=url+"?title="+menu;
                self.open(url,"","");
            }
            function help_menu(menu,modes) {
                var url="%(CMD0/HELP)";
                var ec=document.getElementsByTagName("td");
                url=url+"?title="+menu;
                for(count=0; count &lt; ec.length; count++) {
                    if(ec[count].className=="menu-selected") {
                        url=url+"_"+ec[count].id;
                    }
                }
                self.open(url,"","");
            }
        </script>
    </xsl:template>
    
    <xsl:template name="help-menu">
        <xsl:if test="/info/@help">
            <td class="menu-normal"><a class="menu" href="javascript:help('{/info/@help}','{/info/@modes}')">Help</a></td>
        </xsl:if>
    </xsl:template>
    
</xsl:stylesheet>
